2 Replies Latest reply: Dec 30, 2015 8:18 AM by ksulliv1 RSS

    Slingbox Setup Not Compatible

    ksulliv1 Newbie

      I have a Windows 10 PC and am using Chrome version 47 but, every time I navigate to setup.slingbox.com and click on "Get Started", I get this message

       

      We're sorry, but your web browser, operating system, or the combination of both is not currently supported by the Slingplayer plug-in. Please use a different browser or click here for more information

       

      But the information listed on the compatibility page from Sling specifically states that Windows 10 with Chrome version 45 and up is supposed to work. The only other browser I have is Edge, which we know isn't compatible.

        • Re: Slingbox Setup Not Compatible
          evan.sling Novice

          Hi Kent!

           

          The Slingplayer plugin for Google Chrome was changed to an extension (as opposed to a plugin) when Chrome changed to a 64-bit browser from a 32-bit.  Unfortunately, because of this change, setup.slingbox.com is no longer compatible in the Google Chrome browser (even though the Chrome extension that can be used to watch/use a Slingbox is still supported).

           

          Windows 10 computers, however, do still come with Internet Explorer.  You'll just need to search for it in your computer.  Once there, install the Slingplayer plugin for Internet Explorer, and go to setup.slingbox.com.  This should get setup.slingbox.com to work over Internet Explorer.

           

          Here is the article on installing the Slingplayer for web plugin, just in case:

           

           

          Hope this helps!

           

          -Evan

          • Re: Slingbox Setup Not Compatible
            ksulliv1 Newbie

            Thanks for clearing that up, the information provided is quite confusing.